Page MenuHomePhabricator

MUL - Language fallback not applied to item/property heading after editing terms
Open, Needs TriagePublic8 Estimated Story PointsBUG REPORT

Description

Problem:
When displaying an Item or Property page, the page heading usually applies language fallback to the label and description. The problem is that doing anything with the termbox which causes the heading to update causes the language fallback to no longer be applied

Examples:
e.g.

Steps to reproduce:
Case A

  • Make any change in the termbox and save it.
  • After saving the heading is refreshed and no longer applies language fallback

Case B

  • Make any change to the language current set as the interface language and then cancel editing.
  • The heading updates when making the changes, the changes are reverted after cancelling, but language fallback is no longer applied

Notes:

  • This is a side-effect of T98014. PHP does language fallback in the header section, but JS does not. So, if you edit the terms of an entity which doesn't have terms in the UI language, after leaving edit mode the header section might look different than it does after a reload.
  • This will get more visible after releasing language code mul (T285156).

Acceptance criteria:
The page title is always up-to date with the rest of the Item:

  • The language fallback of the page title is respected in both cases A and B.
  • The language fallback is respected in the <title> for both cases A and B.

Original:
This is a side-effect of T98014. PHP does language fallback in the header section, but JS does not. So, if you edit the terms of an entity which doesn't have terms in the UI language, after leaving edit mode the header section might look different than it does after a reload.

SP - 5-8

Event Timeline

Manuel renamed this task from [Bug] JS does no fallback for terms in header section to Language fallback not applied to item/property heading after editing terms.Apr 26 2022, 4:45 PM
Manuel updated the task description. (Show Details)
Manuel added a subscriber: Manuel.

Added info from T267131.

Manuel raised the priority of this task from Low to Needs Triage.Jul 5 2022, 9:50 PM
Manuel added a project: Wikidata Dev Team.

Hi @Nikki, I have removed the following case that originally came from T267131:

  • Make any change to the language currently set as the interface language, no save needed.
  • The heading updates immediately, no longer applying language fallback

My reason is that the interface language is likely factored in by design. The problematic part as I see it is that language fallback doesn't come back after one cancels the action (should be fully covered by case B). Please let me know in case you have any objections.

karapayneWMDE set the point value for this task to 8.
Manuel changed the subtype of this task from "Task" to "Bug Report".Jul 12 2022, 11:09 AM
Manuel renamed this task from Language fallback not applied to item/property heading after editing terms to MUL - Language fallback not applied to item/property heading after editing terms.Tue, Sep 13, 10:56 AM